
From: Christoph Lameter <christoph@lameter.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/sys.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sys.c~optimize-sys_times-for-a-single-thread-process-update-2 kernel/sys.c
--- 25/kernel/sys.c~optimize-sys_times-for-a-single-thread-process-update-2	Fri May 20 15:14:08 2005
+++ 25-akpm/kernel/sys.c	Fri May 20 15:14:08 2005
@@ -900,7 +900,7 @@ asmlinkage long sys_times(struct tms __u
 		cputime_t utime, stime, cutime, cstime;
 
 #ifdef CONFIG_SMP
-		if (current == next_thread(current)) {
+		if (thread_group_empty(current)) {
 			/*
 			 * Single thread case without the use of any locks.
 			 *
_
